[gitec] Problemas com instalação do SAPL 2.6

André Toledo toledo.andre em gmail.com
Quarta Agosto 21 11:10:50 BRT 2013


Eu instalei o SAPL 2.6 no Ubuntu Server 12.04 LTS, aparentemente não foram
criadas todas as tabelas e algumas tabelas estão faltando campos.

Por exemplo, na tabela parlamentar faltava um campo chamado txt_observacao,
alguns formulários do SAPL apresentavam erros alertando para a falta dele,
após a criação manual deste campo eles voltaram a funcionar.

Agora estou tendo problemas para cadastrar os vereadores, após preencher
todos os campos e clicar em salvar é exibida uma mensagem dizendo

"Parlamentar salvo com sucesso.
Será incluído um mandato para esse parlamentar na 59ª legislatura."

Ao clicar em continuar exibe-se a mensagem:

"Não foi possível salvar um mandato na 59ª legislatura para esse
parlamentar."

Eu dei uma olhada nas tabelas do banco, pensando na estrutura da base de
dados, como podem existir N parlamentares para N legislaturas deveria haver
uma tabela de amarração onde seria cadastrado o id do parlamentar com o id
da legislatura, essa tabela não existe.

Analisando os campos da tabela parlamentar e legislatura não encontrei
nenhuma estrutura de amarração entre as duas, portanto concluí que falta
pelo menos uma tabela nessa instalação.

Gostaria, se possível, que alguém me enviasse os script de criação das
tabelas do SAPL 2.6 para que eu possa conferir se todas foram criadas e se
as tabelas possuem todos os campos, alguém consegue arranjar isso?

André Luís Toledo
toledo.andre em gmail.com | +55 (19) 8115-4255
gTalk/MSN/: t <toledo_biker em hotmail.com>oledo.andre em gmail.com
-- -- Antes de imprimir pense na sua responsabilidade com o Meio Ambiente.
-------------- Próxima Parte ----------
Um anexo em HTML foi limpo...
URL: http://listas.interlegis.gov.br/pipermail/gitec/attachments/20130821/5330fab5/attachment.htm 


Mais detalhes sobre a lista de discussão GITEC